import java.io.*;        //needed for input and output
import java.util.*;      //needed for StringTokenizer

class main
{
   public static void main(String[] args) throws Exception
   {
      /* set up program for input */
      BufferedReader stdin = new BufferedReader(
         new InputStreamReader(System.in)
      );

      /* Variables to be used */
      String s;
      StringTokenizer st;
      BankAcc myacc;
      int amount;

      /* keep reading until there's no more input to read in */
      while ( (s=stdin.readLine()) != null )
      {
         /* Tokenize the string by using comma as the separator */
         st = new StringTokenizer(s,",");

         /* Create the bank account. Note that I passed in strings   */
         /* for all the parameters. This is to make life easier,     */
         /* to pass all the work to the constructor, or else I would */
         /* have to type this :                                      */
         /* myacc=new BankAcc(Integer.parseInt(st.nextToken()),      */
         /*                   st.nextToken(),                        */
         /*                   Integer.parseInt(st.nextToken()));     */
         /* Scary, right? Now u understand why I left all the        */
         /* conversion work to the constructor                       */

         myacc = new BankAcc(
            st.nextToken(), st.nextToken(), st.nextToken()
         );

         /* This loops twice, to go thru the 2 transactions          */
         /* I can do this cos I know there are only 2 transactions   */
         for (int cnt=1; cnt<=2; cnt++)
         {
            s = stdin.readLine();     //read in the next line
            st = new StringTokenizer(s);  //tokenize by spaces

            if (st.nextToken().equals("W"))  //if first token is "W"
            {
               System.out.print(myacc.accno + " " + myacc.name + " ");
               amount = Integer.parseInt(st.nextToken());
               System.out.println(myacc.withdraw(amount));
            }
            else
            {
               /* note I din type :                       */
               /* "else if (st.nextToken().equals("D"))   */
               /* This will read in the next token, which */
               /* is the amount, and mistake it for the   */
               /* transaction                             */
               System.out.print(myacc.accno + " " + myacc.name + " ");
               amount = Integer.parseInt(st.nextToken());
               System.out.println(myacc.deposit(amount));
            }
         } //end for

      } //end while

   } //end method main
} //end class main



class BankAcc
{
   /* After the constructor is called and finished, all the values */
   /* passed in are thrown away. Therefore you must have your own  */
   /* variables to store the passed-in values. By default, these   */
   /* variables are public. That is why I can call myacc.accno     */
   /* If it is declared private, I won't be able to do that...     */
   /* I would then need to create a public method that accesses    */
   /* the private variable and then return it                      */

   int accno;
   String name;
   int balance;

   BankAcc(String myaccno, String myname, String mybalance)
   {
      /* I pass in strings and do all the conversion work here */

      accno = Integer.parseInt(myaccno);
      name = myname;
      balance = Integer.parseInt(mybalance);
   }

   public int withdraw(int amt)
   {
      /* Note from output : if I want to withdraw an amount that is */
      /* more than my balance, no withdrawal will be made - my      */
      /* balance remains the same                                   */

      if (amt<=balance)
         balance = balance - amt;

      //this tells running program what the new balance is
      return balance;
   }

   public int deposit(int amt)
   {
      balance = balance + amt;

      //this tells running program what the new balance is
      return balance;
   }

} //end class BankAcc


/* THE END */
